> For the complete documentation index, see [llms.txt](https://docs.alemba.com/asm-hermes/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alemba.com/asm-hermes/integrate/apis/alemba-restful-api/authentication/configuring-windows-authentication-for-the-alemba-api.md).

# Configuring Windows Authentication for the Alemba API

If a Core Analyst login has Integrated Security enabled, Windows Authentication can also be enabled for Alemba API Clients where the Session Type or request scope is set to Analyst.

{% hint style="info" %}
**Self Service Portal** must be selected in the **Integrated Security** section of the Security Settings window.
{% endhint %}

To enable Windows Authentication, the corresponding setting must be enabled for the individual API client in Alemba Admin.

The **Alemba.Web** Web Application (in IIS) must also be configured to use Windows Authentication as follows:

1. In **Feature Delegation**, set **Authentication – Windows** to **Read/Write**.

{% hint style="info" %}
This is an application server level setting (accessed through the root node in IIS) and allows the Alemba Authorization Server to use passive Windows Authentication.
{% endhint %}

2\.  Enable Windows Authentication and Anonymous Authentication for the Alemba.Web application.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alemba.com/asm-hermes/integrate/apis/alemba-restful-api/authentication/configuring-windows-authentication-for-the-alemba-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
